Blueprints
Retrieves a paginated list of blueprints.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Filter results by label id.
Filter results by ,.
Filter results by intval.
Filter results by labelTemplates.
Filter results by label_templates.id.
Sort field. Prefix with - for descending. Available: created_at, updated_at, name
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Creates a new blueprint.
API key passed in the Authorization header. Format: <api-key>
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/patchworks/blueprints HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the details of a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Filter results by name.
Filter results by label id.
Filter results by ,.
Filter results by intval.
Filter results by labelTemplates.
Filter results by label_templates.id.
Sort field. Prefix with - for descending. Available: created_at, updated_at, name
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Updates an existing blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/patchworks/blueprints/{blueprint} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Permanently deletes a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
DELETE /api/v1/patchworks/blueprints/{blueprint} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves blueprints that have not yet been published.
API key passed in the Authorization header. Format: <api-key>
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/unpublished HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the available post-install action options for blueprints.
API key passed in the Authorization header. Format: <api-key>
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/post-install-options HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Installs the active version of a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/blueprints/{blueprint}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"flow_template_ids": "example_flow_template_ids",
"instances": "example_instances",
"post_install": "example_post_install"
}{}Installs a specific version of a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The version identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/blueprints/{blueprint}/versions/{version}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"flow_template_ids": "example_flow_template_ids",
"instances": "example_instances",
"post_install": "example_post_install"
}{}To be confirmed.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of installs for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Filter results by version.
Filter results by search.
Comma-separated list of relationships to include. Available: company, marketplaceApp
Sort field. Prefix with - for descending. Available: id, version, created_at
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/installs HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of bulk install batches for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/installs/bulk HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Creates a new bulk install batch for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/patchworks/blueprints/{blueprint}/installs/bulk HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the details of a specific bulk install batch.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The batch identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Cancels a specific in-progress bulk install batch.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The batch identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/cancel HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of items for a specific bulk install batch.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The batch identifier.
Filter results by status.
Filter results by company_id.
Filter results by company.
Comma-separated list of relationships to include. Available: company
Sort field. Prefix with - for descending. Available: id, status, created_at
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the details of a specific bulk install batch item.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The batch identifier.
The item identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items/{item} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of versions for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/versions HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the currently active version of a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/versions/active HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the details of a specific blueprint version.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The version identifier.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/patchworks/blueprints/{blueprint}/versions/{version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Permanently deletes a specific blueprint version.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The version identifier.
Successful response
No content
Unauthenticated
Unauthorized
DELETE /api/v1/patchworks/blueprints/{blueprint}/versions/{version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Sets a specific blueprint version as the active version.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
The version identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/patchworks/blueprints/{blueprint}/versions/{version}/activate HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves the draft manifest for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/blueprints/{blueprint}/draft HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Creates a new draft manifest for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/blueprints/{blueprint}/draft HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Permanently deletes the draft manifest for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/blueprints/{blueprint}/draft HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Updates the draft manifest for a specific blueprint.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
PATCH /api/v1/blueprints/{blueprint}/draft HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}To be confirmed.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/blueprints/{blueprint}/draft/check HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Publishes the draft manifest for a specific blueprint, creating a new version.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/blueprints/{blueprint}/draft/publish HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Resets the draft manifest for a specific blueprint to match the current active version.
API key passed in the Authorization header. Format: <api-key>
The blueprint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/blueprints/{blueprint}/draft/reset HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Last updated
Was this helpful?